!********************************************************************
! RDequ.Inc                             Copyright 1997 by Allerup EDB
!********************************************************************
! Declaration of global equates and variables for the Report Designer
!********************************************************************

RptDes::FirstControl    EQUATE(100)     !First control number
RptDes::PaperWidth      EQUATE(8500)    !Default paper width (1/1000 inch)
RptDes::PaperHeight     EQUATE(11700)   !Default paper height (1/1000 inch)
RptDes::Margins         EQUATE(800)     !Default margin (1/1000 inch)
!RptDes::DefaultHeight   EQUATE(800)     !Default band height when displyed
RptDes::DefaultHeight   EQUATE(200)     !Default band height when displyed
RptDes::TagSize         EQUATE(70)      !Default tag control size (1/1000 inch)
RptDes::TagSizeMM       EQUATE(2)       !Default tag control size (milimeter)

RptDes::Paper           EQUATE(1)       !Identifies the paper
RptDes::DetailArea      EQUATE(2)       !Identifies the detail area
RptDes::Band            EQUATE(3)       !Identifies any band
RptDes::PageForm        EQUATE(4)       !Identifies band PageForm
RptDes::PageHeader      EQUATE(5)       !Identifies band PageHeader
RptDes::PageFooter      EQUATE(6)       !Identifies band PageFooter
RptDes::Detail          EQUATE(7)       !Identifies band Detail
RptDes::Control         EQUATE(8)       !Identifies a control

RptDes::Image           EQUATE(1)       !Idenfifies an image control
RptDes::Box             EQUATE(2)       !Idenfifies a box control
RptDes::Line            EQUATE(3)       !Idenfifies a line control
RptDes::Group           EQUATE(4)       !Idenfifies a group control
RptDes::String          EQUATE(5)       !Idenfifies a string control
RptDes::Field           EQUATE(6)       !Idenfifies a string with use control
RptDes::CheckBox        EQUATE(7)       !Idenfifies a checkbox control
RptDes::TextField       EQUATE(8)       !Idenfifies a text control

RptDes::Hide            EQUATE(0)       !Hide control
RptDes::Normal          EQUATE(1)       !Display control normal
RptDes::Dimmed          EQUATE(2)       !Display control dimmed

RptDes::N               EQUATE(1)       !Resize N
RptDes::S               EQUATE(2)       !Resize S
RptDes::E               EQUATE(4)       !Resize E
RptDes::W               EQUATE(8)       !Resize W
RptDes::Move            EQUATE(16)      !Move not resize
RptDes::Place           EQUATE(32)      !Move/resize has finished
RptDes::DragInAction    EQUATE(64)      !Dragging is in progress

RptDes::SizeOfTag       Byte

RptDes::ResetCursor         EQUATE(1)
RptDes::CancelInsert        EQUATE(2)
RptDes::RemoveAllTags       EQUATE(4)
RptDes::CancelMoveResize    EQUATE(8)
RptDes::RemoveSelected      EQUATE(16)
RptDes::RedrawControls      EQUATE(32)